# CocoaPods

15개의 포스트
post-thumbnail

[CocoaPods] Chart - 막대 그래프

https://gonslab.tistory.com/11

2021년 9월 30일
·
0개의 댓글
post-thumbnail

[CocoaPods]M1mac에 설치하기

기존 인텔맥의 방식과는 설치 방식이 다소 다르기 때문에 나중에 나를 위해서 설치 방법을 작성하려고 한다.

2021년 9월 30일
·
0개의 댓글
post-thumbnail

react-native cli Quickstart 시작하기

프로젝트를 세팅하기전 Node, Watchman, the React Native command line interface, Xcode and CocoaPods 같은 dependencies의 설치가 요구된다.맥을 사용한다면 brew를 이용해 Node, Watchman 을

2021년 9월 13일
·
0개의 댓글

Carthage

    최근 프로젝트 빌드 속도가 눈에 띄게 느려져 개선 방법을 찾던 중, Dependency Manager로 Cocoapods 대신 Carthage를 사용하면 개선에 도움이 된다는 정보를 듣고 정리해보았습니다.

2021년 8월 29일
·
0개의 댓글
post-thumbnail

[Flutter] CocoaPods's specs repository is too out-of-date to satisfy dependencies. (m1 mac)

m1 맥을 사용한다면 pod repo update, pod install 대신 arch -x86_64 gem install ffi, arch -x86_64 pod repo update, arch -x86_64 pod install 커맨드를 이용하세요!

2021년 8월 27일
·
0개의 댓글

CocoaPods could not find compatible versions for pod "cloud_firestore":

flutter에서 firestore dependency 설치 후 iOS build시 error.Podfile.lock을 지우고 어쩌고 많은데..다 잘 안된다.1) 걍 새로운 프로젝트 만들고2) yaml file에 디펜덴시 적어주고3) 터미널에 flutter pub ge

2021년 8월 5일
·
0개의 댓글

Dependency Management Tool for iOS

Dependency Management Tool에 대해 알아보고 각각의 특징을 정리하는 포스트 입니다!

2021년 7월 28일
·
0개의 댓글

[iOS] Pod Library 삭제하기

팟 라이브러리를 깔끔하게 삭제해주고 재설치

2021년 6월 14일
·
0개의 댓글
post-thumbnail

[Xcode] CocoaPods(코코아팟) 설치 및 사용 방법

안녕하세요 :)오늘은 CocoaPods 설치 및 사용법에 대해 알아보겠습니다 !Swift 및 objective-c로 iOS / macOS 등 애플 플랫폼을 개발할 때, 외부 라이브러리를 관리하기 쉽도록 도와주는 의존성 관리 도구의 일종입니다.애플 플랫폼에서 사용할 수

2021년 5월 16일
·
0개의 댓글

2021.04.22 TIL

목업API를 만들어보자! iOS 네트워크 통신을 위해 목업API가 필요했다. GET 메소드를 사용해야하는데 받아올 주소가 없다보니 네트워크 통신이 늦어질 수 있다고 생각했고, 간단하게 만들 수 있다고 해서 찾아보았다. 방법은 해당 링크가 아주 잘 나와있어서 따라해

2021년 4월 23일
·
0개의 댓글
post-thumbnail

코코아팟 설치 오류 (해결)

ERROR: While executing gem ... (Gem::FilePermissionError)검색을 해보니 sudo gem install cocoapods -n /usr/local/bin와 같이 local로 옮겨와 설치를 해도 정상적으로 처리가 되었다. su

2021년 2월 17일
·
0개의 댓글

Mac m1 cocoa pods 세팅하다

m1 resetta terminal 을 먼저 열고나서아래 두가지를 해 주면 된다.

2021년 2월 9일
·
0개의 댓글

[Flutter]CocoaPods could not find compatible versions for pod

해결 : https://stackoverflow.com/questions/55596988/flutter-facebook-login-cocoapods-dependency-errorPodfile 에서 paltform : ios, '9.0' 을 platform :

2020년 5월 19일
·
0개의 댓글